HisendHISEND Docs

List admin activity

GET
/admin/audit-logs

Requires a user JWT with the admin role.

Authorization

AdminJWT
AuthorizationBearer <token>

User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.

In: header

Query Parameters

page?integer
Default1
Range1 <= value
limit?integer
Default20
Range1 <= value <= 100
target_type?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.hisend.app/v1/admin/audit-logs"
{
  "logs": [
    {
      "id": 0,
      "admin_id": 0,
      "project_id": 1,
      "action": "string",
      "target_type": "string",
      "target_id": 0,
      "changes": {
        "before": null,
        "after": null,
        "reason": "string"
      },
      "created_at": "string"
    }
  ],
  "total": 0
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}